- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/OS/src/OSSolverInterfaces/OSLindoSolver.cpp File Reference

`#include "OSLindoSolver.h"`
`#include "OSiLReader.h"`
`#include "OSInstance.h"`
`#include "OSFileUtil.h"`
`#include "OSErrorClass.h"`
`#include "OSDataStructures.h"`
`#include "OSParameters.h"`
`#include "OSMathUtil.h"`
`#include "CoinTime.hpp"`
`#include <iostream>`
`#include <sstream>`
`#include <vector>`
`#include <map>`

Include dependency graph for OSLindoSolver.cpp:

Go to the source code of this file.

## Defines
#define | DEBUG
#define | LINDO_OP_CODE_CONVERSION
## Functions
int CALLTYPE | LSwriteMPIFile (pLSmodel pModel, char *pszFname)

## Define Documentation

#define DEBUG

Definition at line 49 of file OSLindoSolver.cpp.

Referenced by OSInstance::addQTermsToExressionTree(), IpoptProblem::eval_g(), IpoptProblem::get_starting_point(), BonminProblem::get_starting_point(), OSInstance::getAllNonlinearVariablesIndexMap(), OSInstance::getSecondOrderResults(), CoinSolver::setSolverOptions(), NonlinearExpressions::~NonlinearExpressions(), OSInstance::~OSInstance(), and Variables::~Variables().

#define LINDO_OP_CODE_CONVERSION

Value:

    std::map<int, int> nlNodeIdxLindo;\
            nlNodeIdxLindo[OS_PLUS] = EP_PLUS; \
            nlNodeIdxLindo[OS_SUM] = EP_SUM; \
            nlNodeIdxLindo[OS_MINUS] = EP_MINUS; \
            nlNodeIdxLindo[OS_NEGATE] = EP_NEGATE; \
            nlNodeIdxLindo[OS_TIMES] = EP_MULTIPLY; \
            nlNodeIdxLindo[OS_DIVIDE] = EP_DIVIDE; \
            nlNodeIdxLindo[OS_POWER] = EP_POWER; \
            nlNodeIdxLindo[OS_SQRT] = EP_SQRT; \
            nlNodeIdxLindo[OS_LN] = EP_LN; \
            nlNodeIdxLindo[OS_EXP] = EP_EXP; \
            nlNodeIdxLindo[OS_NUMBER] = EP_PUSH_NUM; \
            nlNodeIdxLindo[OS_VARIABLE] = EP_PUSH_VAR;\
            nlNodeIdxLindo[OS_IF] = EP_IF; \
            nlNodeIdxLindo[OS_ABS] = EP_ABS; \
            nlNodeIdxLindo[OS_MAX] = EP_MAX; \
            nlNodeIdxLindo[OS_MIN] = EP_MIN; \
            nlNodeIdxLindo[OS_SQUARE] = EP_SQR; \
            nlNodeIdxLindo[OS_SIN] = EP_SIN; \
            nlNodeIdxLindo[OS_COS] = EP_COS;

Definition at line 65 of file OSLindoSolver.cpp.

Referenced by LindoSolver::processNonlinearExpressions().

## Function Documentation

int CALLTYPE LSwriteMPIFile | ( | pLSmodel | pModel,
|  | char * | pszFname |
| ) |  |  |